#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
printf '%s' 'name:                 hOpenPGP
version:              2.10.0
visibility:           public
id:                   hOpenPGP-2.10.0-6ATcguIxEAf8X07ukLg3dQ
key:                  hOpenPGP-2.10.0-6ATcguIxEAf8X07ukLg3dQ
license:              MIT
copyright:            2012-2024  Clint Adams
maintainer:           Clint Adams <clint@debian.org>
author:               Clint Adams
homepage:             https://salsa.debian.org/clint/hOpenPGP
synopsis:             native Haskell implementation of OpenPGP (RFC4880)
description:
    native Haskell implementation of OpenPGP (RFC4880), plus Camellia (RFC5581), plus ECC (RFC6637)

category:             Codec, Data
abi:                  c9d866395c3a61a58428c3aa36fbc798
exposed:              True
exposed-modules:
    Codec.Encryption.OpenPGP.CFB Codec.Encryption.OpenPGP.Compression
    Codec.Encryption.OpenPGP.Expirations
    Codec.Encryption.OpenPGP.Fingerprint
    Codec.Encryption.OpenPGP.KeyInfo
    Codec.Encryption.OpenPGP.KeySelection
    Codec.Encryption.OpenPGP.KeyringParser
    Codec.Encryption.OpenPGP.Ontology Codec.Encryption.OpenPGP.S2K
    Codec.Encryption.OpenPGP.SecretKey
    Codec.Encryption.OpenPGP.Serialize
    Codec.Encryption.OpenPGP.SignatureQualities
    Codec.Encryption.OpenPGP.Signatures Codec.Encryption.OpenPGP.Types
    Data.Conduit.OpenPGP.Compression Data.Conduit.OpenPGP.Decrypt
    Data.Conduit.OpenPGP.Filter Data.Conduit.OpenPGP.Keyring
    Data.Conduit.OpenPGP.Keyring.Instances Data.Conduit.OpenPGP.Verify

hidden-modules:
    Codec.Encryption.OpenPGP.Internal
    Codec.Encryption.OpenPGP.Internal.CryptoCipherTypes
    Codec.Encryption.OpenPGP.Internal.Crypton
    Codec.Encryption.OpenPGP.Internal.HOBlockCipher
    Codec.Encryption.OpenPGP.Types.Internal.Base
    Codec.Encryption.OpenPGP.Types.Internal.CryptonNewtypes
    Codec.Encryption.OpenPGP.Types.Internal.PKITypes
    Codec.Encryption.OpenPGP.Types.Internal.PacketClass
    Codec.Encryption.OpenPGP.Types.Internal.Pkt
    Codec.Encryption.OpenPGP.Types.Internal.PrettyUtils
    Codec.Encryption.OpenPGP.Types.Internal.TK
    Codec.Encryption.OpenPGP.BlockCipher
    Codec.Encryption.OpenPGP.SerializeForSigs

import-dirs:          /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs:         /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
library-dirs-static:  /usr/lib/ghc-9.4.8/site-local/hOpenPGP-2.10.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-hopenpgp
hs-libraries:         HShOpenPGP-2.10.0-6ATcguIxEAf8X07ukLg3dQ
depends:
    aeson-2.1.2.1-JUxXPniSz0YG5YB65a9rRK
    asn1-encoding-0.9.6-AgpvwtLmnm79kPwPKQQ69U
    attoparsec-0.14.4-Luop1orKt9t9BafG3iOzeM base-4.17.2.1
    base16-bytestring-1.0.2.0-64SRXBIAb7g8ZDjXiMNOEh
    bifunctors-5.6-5VSzBmZ3j1I4Ho1AjrLP4j binary-0.8.9.1
    binary-conduit-1.3.1-8sfI3KhLENW98rrdVNVBey bytestring-0.11.5.3
    bz2-1.0.1.1-AmDBMQVNFZSGm6LgxxQ3mL
    conduit-1.3.6.1-8xCPaR0Iw2BH6YTSfPi284
    conduit-extra-1.3.6-B3OwI0w1NRJHsOucuVhph6 containers-0.6.7
    crypto-cipher-types-0.0.9-56ZYVGDFxwtG8TJEc7UjH2
    crypton-0.34-6XOMFbDfdYBJsq0blw7Pbh
    errors-2.3.0-6sMMQqNxyLh214EDBZuvGa
    hashable-1.4.4.0-KhxIO0xb5fm20tEUmKRa81
    incremental-parser-0.5.1-CI7qAgkCdY5GBMEJyoVgcX
    ixset-typed-0.5.1.0-4ZWznvrHfArJ255nk48zmC
    lens-5.2.3-7xTAGVF8ixt9yux1447c6O
    memory-0.18.0-1oHOZXUPjWrG0kImkORGvt
    monad-loops-0.4.3-KaRiS5mJjkQ1zBkxxbNC2Z
    nettle-0.3.1.1-1YbDn5AJWxHLXr6DClLuRr
    network-uri-2.6.4.2-7DNDQQRpBGt6p9B807KVRo
    openpgp-asciiarmor-0.1.2-6xQomqHA7pzJiAnNNbJ419
    prettyprinter-1.7.1-LdQmVYEBYzYFJ2wm6UeRYc
    resourcet-1.2.6-I8aWRdSalwfKnMEy6zEH7U
    split-0.2.5-20s7Sxknj6u1EUKzRkiU6P text-2.0.2 time-1.12.2
    time-locale-compat-0.1.1.5-1zJhxgkP2bvGiOhYof1wNA
    transformers-0.5.6.2 unliftio-core-0.2.1.0-1JwPsdkrVim6892Z5vBeIT
    unordered-containers-0.2.20-1FuCl8JL5xL639QhRwjqcc
    zlib-0.6.3.0-9IzZ07Ttko6HzmUjBEwMdz

haddock-interfaces:   /usr/share/doc/haskell-hopenpgp/html/hOpenPGP.haddock
haddock-html:         /usr/share/doc/haskell-hopenpgp/html
' | '/usr/bin/ghc-pkg-9.4.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

